%function vn = makenext(ssv,Nsamples)

ssv = 0.1^2;
Nsamples = 10000;

% pi corresponds to 1.104 MHz
Fmax = 1104000;
deltaf = 4312.5;
f = [0:deltaf:Fmax];
%Hnext = 

%hnext = [1 0 0]';
%Lh = length(hnext)-1;

wgn = sqrt(ssv)*randn(Nsamples,1);
%vn = conv(hnext,wgn);
%vn = vn(Lh+1:Lh+Nsamples);

%-------------
% obtained from "dsl.m" in the DMT-TEQ toolbox version 3.1
% provided by The University of Texas at Austin
fsample = 2.208e6;
MM = 128;
f = linspace(0,fsample/2,MM);
users = 8;
fo = 276e3;
Kmask = zeros(size(f));
Kmask(f>=28e3 & f<138e3) = 113e3*0.1*10^(-38/10);
Kmask(f>138e3) = 113e3*0.1*10.^( (-38-24*(f(f>138e3) - 138e3)/43125) /10);
PSDadsl = Kmask.*sinc(f./fo).^2;
xn = 0.882*1e-14*users.^(0.6);
%Hnext = PSDadsl.*xn.*f.^1.5;
Hnext = xn.*f.^1.5;
Anext = 1;
maxf = max(f);
f = f./maxf;
b = remez(128,f,sqrt(Hnext));
a = 1;
%NEXTinput = randn(size(filtX));
NEXTinput = wgn;
NEXTnoise = filter(b,a, Anext*NEXTinput/sqrt(cov(NEXTinput)) );
vn = NEXTnoise;
%-------------

pwelch(vn,[],[],[],[],'twosided');
