%function NEXT = makenext(ssv,Nsamples)

ssv = 0.1^2;              % noise variance
Nsamples = 10000;         % number of samples
wgn = randn(Nsamples,1);  % noise to input to the filter

%-------------
% obtained from "dsl.m" in the DMT-TEQ toolbox version 3.1
% provided by The University of Texas at Austin
users = 8;
fsample = 2.208e6;
MM = 128;
f = linspace(0,fsample/2,MM);
Kmask = zeros(size(f));
Kmask(f>=28e3 & f<138e3) = 113e3*0.1*10^(-38/10);
Kmask(f>138e3) = 113e3*0.1*10.^( (-38-24*(f(f>138e3) - 138e3)/43125) /10);

fo = 276e3;
PSDadsl = Kmask.*sinc(f./fo).^2;
Hnext = PSDadsl .* f.^(3/2);
fnormed = f./max(f);
b = remez(128,fnormed,sqrt(Hnext));
a = 1;
NEXTinput = wgn;
NEXT = filter(b,a,NEXTinput);
NEXT = sqrt(ssv/var(NEXT)) * NEXT;
%-------------

%pwelch(NEXT,[],[],[],[],'twosided');
